# Maintainer: tioguda <guda.flavio@gmail.com>
# Contributor: Levente Polyak <anthraxx[at]archlinux[dot]org>
# Contributor: Josip Ponjavic <josipponjavic at gmail dot com>

_pkgname=add-1.10-support
pkgname=conky-manager2
_commit=6ff38b5104c1e7568b5f489fb21aed26634102c3
pkgver=2.7.2
pkgrel=2
pkgdesc="GUI for managing Conky config files with options to browse and edit themes"
url='https://github.com/zcot/conky-manager2'
arch=('i686' 'x86_64')
license=('GPL3')
depends=('cairo' 'conky' 'desktop-file-utils' 'gtk3' 'imagemagick' 'json-glib' 'libgee' 'p7zip' 'rsync')
conflicts=('conky-manager')
makedepends=('vala')
options=('!emptydirs')
#install=${pkgname}.install
source=("${pkgname}-${pkgver}.zip::${url}/archive/${_commit}.zip"
        'makefile-roundup.patch')
sha512sums=('a2795f241c0be987a862ce1935eb1e1ac249a3baed26ae17d7361ba0694ba0b6bf92475cc5397b8138b500eee1e4299e207821f33aa15dab0f0c47337711a794'
            '710751b82c3420b30d25e1a2500f2364add228becf7080c17f0f785447b9de6ad49d2866aeb0fad6d6f7f19569a57ae5ce15f85b6491096dd901a20cf8b5845b')

prepare() {
    cd ${pkgname}-${_commit}
    patch -Np0 < "${srcdir}/makefile-roundup.patch"
}

build() {
    cd ${pkgname}-${_commit}
    make
}

package() {
    cd ${pkgname}-${_commit}
    make DESTDIR="${pkgdir}" install
}
